from optimization_source.pareto_optimal import pareto_optimal

# Function of pareto optimal


def test_pareto_optimal():

    out_pr_values, out_productivity, out_rate_infection = pareto_optimal(
        200, 140, 0.1, 0.03, 0.10, 0.75, 0.002, 7)

    output_length = len(out_pr_values)
    assert output_length > 0
    assert len(out_productivity) == output_length
    assert len(out_rate_infection) == output_length


test_pareto_optimal()
