from retirement_source.retirement_calculation import retirement_calculation

# Function of pareto optimal


def test_retirement():

    exp_time, k, tau, groups, days, staff_time = retirement_calculation(
        120, 30, 0.375, 0.03125, 0.1, 10, 0.1, 120, 5)

    assert exp_time == 0.6979109038807351
    assert k == 2
    assert tau == 2
    assert len(groups) == 2
    assert len(days) == 2
    assert days[0] == 1
    assert days[1] == 2
    assert staff_time == 0.075


test_retirement()
